Page MenuHome

Freestyle rendering not in sync with camera move
Closed, InvalidPublic

Description

System Information
Operating system: OSX 10.13.4
Graphics card: Radeon Pro 580 8192 MB

Blender Version
Broken:
Date: 2018-12-18 12:08
Hash: c92cffb56d5
Branch: blender2.8

Worked: The problem does not exist in Blender 2.79

Short description of error
Freestyle lines are rendered from a static camera position while objects render normally from the moving camera's position.

Exact steps for others to reproduce the error
The problems occurs consistently in all versions of Blender 2.8 (alphas through current beta) that i have tried on OSX. This has been tested and the error is consistent on two different imacs and a Mac Pro trashcan. I have not been able to try it on Windows or Linux.

Create a cube.
Enable Freestyle
Animate the camera to move so that the position of the object moves across the screen
Render in Cycles

When the camera is animated and the object is static, the freestyle lines will remain in the same place as if shot from a static camera while the 3D solid is seen properly from the camera's view. If the camera is static but the object moves, the freestyle lines move appropriately. In a situation where the object AND the camera are animated, the freestyle lines seem to move properly based on the object movement, but go out of sync with the camera movement.

When the camera is animated, if I do a single frame render (F12) the freestyle lines will line up with the object properly, but once I do a sequence render (Crtl-F12) the freestyle lines will be seen from the camera position where I did the single frame render, but will remain static (if the object isn't animated).

The error occurs whether "View Map Cache" is checked or not. I have not been able to reproduce the error in Blender 2.79

Camera move only

Object Move only

Camera and Object move

Based on the default startup or an attached .blend file (as simple as possible).

Event Timeline

Sebastian Parborg (zeddb) changed the task status from Unknown Status to Resolved.Feb 1 2019, 3:01 PM
Sebastian Parborg (zeddb) claimed this task.

I can not reproduce this with the latest blender beta. So this must have been solved at some point.

Xane (XaneGraphics) changed the task status from Resolved to Invalid.EditedJan 19 2020, 6:06 PM

Having the same problem. Rendering from static camera position. Changed focal length of camera but it's using the first keyframed camera focal length

Edit >
It's using the camera state of the position where the cursor on the timeline is placed before rendering.
e.g If I place my cursor on frame 300 before hitting render, it would use the camera state at frame 300, even if the range is from 1 - 500.
So I have to render each frame and place my cursor a frame forward after rendering each frame. Tedious, but it's the only way at the moment

I have the same issue as Xane described it. Freestyle assumes the current focal length to be constant over the course of an animation in Cycles.

Reproduce bug:


Render this blend as animation, which will render a single frame different from the current time frame and with different focal length. Tested in 2.81-2.83 .

A temporary workaround is to render Freestyle as separate pass in 2.83 with Eevee and compose it back to the Cycles render. (thanks to 4minus1d for the hint)